Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

Here's my current situation: I need to install this annoying little app on Arch 64bits, but the odeskteam package one from the AUR repositories isn't working.

I've tried the following:

-- Installing from AUR with Yaourt. The installation outputs an error:

/tmp/yaourt-tmp-alainus/aur-odeskteam/./PKGBUILD: line 40: pkgextract.sh: command not found
==> ERROR: A failure occurred in build().
Aborting...

-- Installing from AUR with Yaourt, and removing line #40 as suggested in comments:

/tmp/yaourt-tmp-alainus/aur-odeskteam/./tmp.sMpeyQoiTy: line 41: syntax error near unexpected token `}'
/tmp/yaourt-tmp-alainus/aur-odeskteam/./tmp.sMpeyQoiTy: line 41: `}'
==> ERROR: Failed to source /tmp/yaourt-tmp-alainus/aur-odeskteam/./tmp.sMpeyQoiTy
Unable to read PKGBUILD

-- Downloading the Arch Linux package from oDesk (here). The installation complains about qt not being present.

 % sudo pacman -U odeskteam-3.2.57-arch-x86_64.pkg.tar.xz                                                                 :(
loading packages...
resolving dependencies...
warning: cannot resolve "qt", a dependency of "odeskteam"
:: The following package cannot be upgraded due to unresolvable dependencies:
      odeskteam

:: Do you want to skip the above package for this upgrade? [y/N] N
error: failed to prepare transaction (could not satisfy dependencies)
:: odeskteam: requires qt

After doing sudo pacman -S qt, which installs qt5, it still outputs the same.

-- Installing the windows version through wine. I cannot paste here the plethora of errors that wine gave me, until I definitely erased everything that had to do with wine for the rest of my life.

-- Installing it in another computer with Ubuntu 13.04, and trying to open it through SSH X11 Forwarding. The program opens on the other side, but locally throws an error: oDeskTeam Exited Abnormally.

Can anyone suggest another method for having this installed? I don't want to use a VM just to install a little 900KB app.

share|improve this question
add comment

1 Answer 1

up vote 1 down vote accepted

First, you really should attempt to build the package by hand, rather than relying on a wrapper like yaourt.

If you read the PKGBUILD, you will see that there is a dependency (makedepends) on another AUR package, pkgextract: a shell script that unpacks .deb and .rpm packages.

Unfortunately, the PKGBUILD for this package just installs the script into the build directory, so you will need to manually move it into your $PATH.

Once you have done that, use makepkg to build odeskteam and it will work.

share|improve this answer
    
I fixed it by modifying the PKGBUILD file and changed the pkgextract.sh into rpmextract. I posted the correct version with updated md5sums to that package comments. Let me know if there's another way I can contribute. Thanks ! –  Alain Jacomet Forte Jul 18 '13 at 3:10
    
Glad you got it sorted. For future reference; you should just link to a gist, rather than pasting the PKGBUILD as a comment. Also, you forgot to add qt as a depend ;) –  jasonwryan Jul 18 '13 at 4:15
    
so what's the proper way of installing deb or rpm file in Arch? –  Alex Jul 8 at 0:47
    
@Alex the "proper" way is to use a PKGBUILD to build it from source. –  jasonwryan Jul 8 at 0:55
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.